Subject: RE: [Sipping] Re: draft-sawada-sipping-sip-offeranswer-01

From: "Christer Holmberg \(JO/LMF\)" <[email-masked]>
Date: Wed, 19 Jul 2006 16:29:35 +0200

>I seem to remember that we once said the behavior below is not
acceptable for a UAS: if it is going to send a 4xx response (or non-2xx
in general), it should do so as soon 
>as possible, and not first send a reliable 18x. I realize this is
slightly beside the point, but we could end up defining that for the
offer-answer sequence any 18x response here 
>is considered as "will eventually succeed", and thus any 4xx that
follows should be disregarded. 
>Following this reasoning, the final outcome would be offer3/answer3
>
>Your question comes down to: does failure of a reINVITE roll back all
offer/answer exchanges that happen "in the context" of that reINVITE? My
initial response would be 
>"no", because there is no such context from the perspective of the
offer/answer mechanism. All it considers is the ordered sequence of
offer/answer exchanges, 
>disregarding the "vehicle" that is used to carry them. When an offer is
answered, that pair is the outcome. That would imply that without the
UPDATE below, offer2/answer2 
>would be in effect even if a 4xx follows.

This is the same question I had.

And, eventhough we only discuss SDP in this thread (and I DO want to
keep it that way :), we have the same question for basically any
information you may send in a reliable 18x.

Regards,

Christer

----- Original Message -----
From: "Paul Kyzivat" <[email-masked]>
To: <[email-masked]>
Cc: "Takuya Sawada" <[email-masked]>
Sent: Tuesday, July 18, 2006 6:54 PM
Subject: [Sipping] Re: draft-sawada-sipping-sip-offeranswer-01

>I just fielded a question on offer/answer that raised what seems like a
> new issue. Here is the case - Alice calling Bob:
>
> - Alice calls Bob: INVITE w/offer1, 200ok w/answer1, ACK
> - Alice reINVITE Bob w/offer2
> - Bob respond reliable 18x w/answer2
> - Alice PRACK the 18x
> - Bob 200ok the PRACK
> - Alice UPDATE w/offer3
> - Bob 200ok the UPDATE w/answer3
> - Bob respond 4xx to reINVITE
> - Alice ACK the reINVITE
>
> At this point, what SDP is in effect?
> It seems like it should be offer1/answer1,
> but I think the various specs don't give guidance that would lead to
> that result. It is easy to conclude that according to the specs it
> should be offer3/answer3, because the failure of the reinvite doesn't
> necessarily influence the UPDATE.
>
> Or do others think the result *ought* to be offer3/answer3?
>
> I was thinking of this in the context of offer3 resolving
preconditions
> initiated by offer2, but of course this can happen without
preconditions
> as well.
>
> Paul
>
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments of core SIP 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP